### Enumeration

# Gimp TransformResize

#### Declaration

    enum Gimp.TransformResize

#### Description [src]

Ways of clipping the result when transforming drawables.

#### Members

`GIMP_TRANSFORM_RESIZE_ADJUST`

  Adjust.

  - Value: `0`
  - Available since: 3.0
`GIMP_TRANSFORM_RESIZE_CLIP`

  Clip.

  - Value: `1`
  - Available since: 3.0
`GIMP_TRANSFORM_RESIZE_CROP`

  Crop to result.

  - Value: `2`
  - Available since: 3.0
`GIMP_TRANSFORM_RESIZE_CROP_WITH_ASPECT`

  Crop with aspect.

  - Value: `3`
  - Available since: 3.0